import type { LegacyPageResult } from '#/api/legacy/system';

import { requestClient } from '#/api/request';

export async function submitGmGoldOperation(data: Record<string, any>) {
  return requestClient.post<Record<string, any>>('/gm/gold-operation', data);
}

export async function pageGmGoldOperation(params: Record<string, any>) {
  return requestClient.get<LegacyPageResult<Record<string, any>>>(
    '/gm/gold-operation/page',
    {
      params,
    },
  );
}

export async function reviewGmGoldOperation(data: Record<string, any>) {
  return requestClient.post<Record<string, any>>(
    '/gm/gold-operation/review',
    data,
  );
}

export async function submitGmVipGift(data: Record<string, any>) {
  return requestClient.post<Record<string, any>>('/gm/vip-gift', data);
}

export async function pageGmVipGift(params: Record<string, any>) {
  return requestClient.get<LegacyPageResult<Record<string, any>>>(
    '/gm/vip-gift/page',
    {
      params,
    },
  );
}
